{% extends "world_of_islam/layouts/page.html" %}{% load static humanize custom_tags %}
<i></i>
{% block world_of_islam %}

{% comment %} VIDEO {% endcomment %}
{% if video %}
<div
  data-aos="zoom-out-up"
  data-aos-duration="1000"
  data-aos-anchor-placement="top-bottom"
  class="max-w-screen-xl w-full mx-auto my-10 py-10 px-6 bg-gradient-to-r from-transparent via-main/10"
>
  <div
    class="max-w-4xl mx-auto w-full aspect-video overflow-hidden border-2 rounded-lg shadow-lg transition duration-500 hover:shadow-card hover:-translate-y-0.5"
  >
    <video
      class="object-cover w-full h-full"
      poster="{% get_media_prefix %}{{video.cover}}"
      src="{% get_media_prefix %}{{video.file}}"
      preload="none"
      controls
    ></video>
  </div>
  {% comment %} <div class="flex justify-end mt-5">
    <a
      href="{% url "apps.world_of_islam:files" %}?category=video&id={{video.id}}"
      class="inline-flex items-center gap-2 h-8 px-6 text-white text-xs font-medium rounded shadow-lg whitespace-nowrap bg-gradient-to-br from-main/95 to-main-dark hover:bg-gradient-to-tl"
      download
    >
      <i class="fa-solid fa-download"></i>
      {{_("Download")}}
    </a>
  </div> {% endcomment %}
  <div class="mt-10">
    <h3
      data-aos="fade-up-right"
      data-aos-duration="1000"
      data-aos-anchor-placement="top-bottom"
      class="text-2xl leading-7 p-2 font-medium capitalize"
    >
      {{video.title}}
    </h3>
    <p
      data-aos="fade-up-left"
      data-aos-duration="1000"
      class="leading-tight mb-5 mt-2.5 indent-6 text-justifys first-letter:capitalize"
    >
      {{video.text|linebreaksbr|indent:"1.5rem"}}
    </p>
    <div
      data-aos="zoom-out-left"
      data-aos-duration="1000"
      data-aos-anchor-placement="top-bottom"
      class="flex gap-x-5 justify-end items-center px-3 text-xs text-main/75"
    >
      <div class="flex gap-x-1.5 items-center">
        <i class="fa-regular fa-eye"></i>
        <em>{{video.hit}}</em>
      </div>
      <div class="flex gap-x-1.5 items-center">
        <i class="fa-regular fa-clock"></i>
        <em>{{video.created_date}}</em>
      </div>
    </div>
  </div>
</div>
{% endif %}

{% endblock world_of_islam %}
